## org.eclipse.datatools.connectivity.sqm.core.rte.jdbc
Class JDBCSchema

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl
                                      org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCSchema

All Implemented Interfaces:
  ICatalogObject, Schema, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  HSQLDBCatalogSchema, IngresSchemaImpl, MySqlCatalogSchema

    public class JDBCSchema

extends org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl
implements ICatalogObject

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`JDBCSchema()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetCatalog(Catalog newCatalog, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`org.eclipse.emf.common.util.EList` `getRoutines()` Returns the value of the 'Routines' reference list.
`org.eclipse.emf.common.util.EList` `getTables()` Returns the value of the 'Tables' reference list.
`org.eclipse.emf.common.util.EList` `getUserDefinedTypes()` Returns the value of the 'User Defined Types' reference list.
`static void` `loadTables(java.sql.Connection connection, org.eclipse.emf.common.util.EList tableList, Schema schema)` Deprecated.
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl
`basicGetCatalog, basicGetDatabase, basicGetOwner, basicSetDatabase, basicSetOwner, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getAssertions, getBuiltInFunctions, getCatalog, getCharSets, getDatabase, getIndices, getOwner, getProcedures, getSequences, getTriggers, getUDFs, setCatalog, setDatabase, setOwner`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### JDBCSchema

    public JDBCSchema()

Method Detail

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### getTables

    public org.eclipse.emf.common.util.EList getTables()

  Description copied from interface: `Schema`
  Returns the value of the 'Tables' reference list. The list contents are of type `Table`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Tables' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getTables` in interface `Schema`
  Overrides:
    `getTables` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl`
  Returns:
    the value of the 'Tables' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Tables()`, `Table.getSchema()`

### getRoutines

    public org.eclipse.emf.common.util.EList getRoutines()

  Description copied from interface: `Schema`
  Returns the value of the 'Routines' reference list. The list contents are of type `Routine`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Routines' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getRoutines` in interface `Schema`
  Overrides:
    `getRoutines` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl`
  Returns:
    the value of the 'Routines' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Routines()`, `Routine.getSchema()`

### getUserDefinedTypes

    public org.eclipse.emf.common.util.EList getUserDefinedTypes()

  Description copied from interface: `Schema`
  Returns the value of the 'User Defined Types' reference list. The list contents are of type `UserDefinedType`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'User Defined Types' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getUserDefinedTypes` in interface `Schema`
  Overrides:
    `getUserDefinedTypes` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl`
  Returns:
    the value of the 'User Defined Types' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_UserDefinedTypes()`, `UserDefinedType.getSchema()`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### basicSetCatalog

    public org.eclipse.emf.common.notify.NotificationChain basicSetCatalog(Catalog newCatalog,
                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `basicSetCatalog` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl`

### loadTables

    public static void loadTables(java.sql.Connection connection,
                                  org.eclipse.emf.common.util.EList tableList,
                                  Schema schema)
                           throws java.sql.SQLException

  Deprecated.

  Throws:
    `java.sql.SQLException`